#!/bin/bash

llang=$(echo $LANG | awk -F\_ '{print $1}')

case $llang in
	de)
	    text_1="<H1>Unterstützung für TUXEDO OS 2 und 3 endet bald</H1><br> \
<font size='4' color='orange'><b>Support-Ende für TUXEDO OS 2 und 3:&nbsp;&nbsp;</b></font>  <font size='4'>Die Unterstützung für TUXEDO OS 2 und 3 läuft Ende Januar 2025 aus. <br> \
Ab diesem Zeitpunkt werden die entsprechenden Repositories deaktiviert. <br>
Bitte aktualisieren Sie bis dahin Ihre Installation. </font><br><br> \
<font color='green' size='5'>https://www.tuxedo.de/de/Anleitung-zum-Upgrade-auf-TUXEDO-OS-Basis.tuxedo </font>  <br><br>
<br>"
	    title_1="Systemmessage - Support-Ende für TUXEDO OS 2 und 3"
	    ja="Aktualisiere jetzt"
	    nein="Ich aktualisiere später"
	    ;;
	*)
	    text_1="<H1>Support for TUXEDO OS 2 and 3 will end soon</H1><br> \
<font size='4' color='orange'><b>End of support for TUXEDO OS 2 and 3:&nbsp;&nbsp;</font></b>  <font size='4'>Support for TUXEDO OS 2 and 3 will expire at the end of January 2025. <br> \
From this date, the corresponding repositories will be deactivated. <br>
Please update your installation by then. </font><br><br> \
<font color='green'size='5'>https://www.tuxedo.de/en/Howto-for-the-Upgrade-of-the-TUXEDO-OS-Base.tuxedo </font> <br><br>
<br>"
	    title_1="System message - End of support for TUXEDO OS 2 and 3"
	    ja="Update now"
	    nein="I update later"
	    ;;
esac

# Pfad zur Zählerdatei
COUNTER_FILE="$HOME/script_counter"

# Initialisiere den Zähler, falls die Datei nicht existiert
if [ ! -f "$COUNTER_FILE" ]; then
    echo "0" > "$COUNTER_FILE"
fi

# Lese den aktuellen Zählerstand
COUNTER=$(<"$COUNTER_FILE")

# Erhöhe den Zähler
((COUNTER++))

# Speichere den neuen Zählerstand
echo "$COUNTER" > "$COUNTER_FILE"

# Führe die Aktion nur bei jedem 5. Aufruf aus
if [ $((COUNTER % 6)) -eq 0 ]; then
    echo "0" > "$COUNTER_FILE"
    if ! kdialog --warningyesno "<p>$text_1</p>" --title "$title_1" --yes-label "$ja" --no-label "$nein" 2>/dev/null; then
	exit 0
    fi
/bin/bash /bin/1ustart.sh
fi
